<?php
/*
 *  CURL自定义
 *  File : curl.func.php
 *  Date : 2010-01-12 00:01
 *  Comment : UTF-8 
 */
function ns_curl($array)
{
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $array['url']);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	if( isset($array['header']) && $array['header'] ) {
		curl_setopt($ch, CURLOPT_HEADER, 1);
	}
	if(isset($array['httpheader'])) {
		curl_setopt($ch, CURLOPT_HTTPHEADER, $array['httpheader']);
	}
	if(isset($array['referer'])) {
		curl_setopt($ch, CURLOPT_REFERER, $array['referer']);
	}
	if( isset($array['post']) ) {
		curl_setopt($ch, CURLOPT_POST, 1 );
		curl_setopt($ch, CURLOPT_POSTFIELDS, $array['post']);
	}
	if( isset($array['cookie']) ){
		curl_setopt($ch, CURLOPT_COOKIE, $array['cookie']);
	}
	$r['erro'] = curl_error($ch);
	$r['errno'] = curl_errno($ch);
	$r['html'] = curl_exec($ch);
	$r['http_code'] = curl_getinfo($ch, CURLINFO_HTTP_CODE);
	curl_close($ch);
	return $r;
}

function ns_curl_error($str) {
	$str['html'] = str_replace('script','', $str['html']);
	var_dump($str);
	exit;
}
?>